// Calendar event background colours defined.
.calendar_event_course {
    background-color: @calendar-event-course-color;
}
.calendar_event_global {
    background-color: @calendar-event-global-color;
}
.calendar_event_group {
    background-color: @calendar-event-group-color;
}
.calendar_event_user {
    background-color: @calendar-event-user-color;
}

.path-calendar {
    .calendartable {
        width: 100%;
        th, td {
            width: 14%;
            vertical-align: top;
            text-align: center;

            border: 0;
            position:relative;
            .add-activities {
                .text-center;
                .new-event-url, .new-activity-modal, .view-all-events {
                    color: black;

                    &:hover {
                        opacity: 0.5 !important;
                    }
                }
                .new-activity-modal {
                    margin: 0 20%;
                }
            }
            .calendar_event_global {
                border-radius: 3px;
                a {
                    color: #EEE;
                }
                a:hover {
                    color: #FFF;
                }
            }
            .calendar_event_user {
                border-radius: 3px;
                a {
                    color: #EEE;
                }
                a:hover {
                    color: #FFF;
                }
            }
            .calendar_event_course {
                border-radius: 3px;
                a {
                    color: #EEE;
                }
                a:hover {
                    color: #FFF;
                }
            }
            .calendar_event_group {
                border-radius: 3px;
                a {
                    color: #EEE;
                }
                a:hover {
                    color: #FFF;
                }
            }
            div.day {
                font-size: 1.5em;
                text-align: right;
            }
            }
            td.blank-div {
                vertical-align: bottom;
                .day {
                    font-size: 1.5em;
                    position: absolute;
                    top: 5px;
                    right: 5px;
                }
            }
            tr {
                background-color: #FFF;
            }
        }
        .calendar-controls {
            .previous,
            .next,
            .current {
                display: block;
                float: left;
                width: 12%;
            }
            .previous {
                text-align: left;
            }
            .current {
                text-align: center;
                width: 76%;
            }
            .next {
                text-align: right;
            }
        }
        .filters {
            table {
                border-collapse: separate;
                border-spacing: 2px;
                width: 100%;
            }
        }
        .maincalendar {
            vertical-align: top;
            padding: 0;
            .bottom {
                text-align: center;
                padding: 5px 0 0 0;
            }
            .heightcontainer {
                height: 100%;
                position: relative;
            }
            .calendarmonth {
                width: 98%;
                margin: 10px auto;
            }
            .calendarmonth {
                ul {
                    margin: 0;
                    li {
                        list-style-type: none;
                        margin-top: 4px;
                    }
                }
                td {
                    height: 10em;
                }
            }
            .calendar-controls {
                .previous,
                .next {
                    width: 30%;
                }
                .current {
                    width: 39.95%;
                }
            }
            .controls {
                width: 98%;
            }
            .calendar_event_course,
            .calendar_event_global,
            .calendar_event_group,
            .calendar_event_user {
                border-width: 1px 1px 1px 12px;
                border-style: solid;
            }
            .calendar_event_course {
                border-color: @calendar-event-course-color;
            }
            .calendar_event_global {
                border-color: @calendar-event-global-color;
            }
            .calendar_event_group {
                border-color: @calendar-event-group-color;
            }
            .calendar_event_user {
                border-color: @calendar-event-user-color;
            }
            .calendar-event-panel {
                background-color: @gray-lighter;
                border: 2px solid @gray-lighter;
                .yui3-overlay-content {
                    padding: 19px;
                    background-color: lighten(@well-bg, 3%);
                    border: 1px solid darken(@well-bg, 7%);
                    border-radius: @border-radius-base;
                    .box-shadow(inset 0 1px 1px rgba(0, 0, 0, .05));
                }
            }
            .calendar-controls {
                .current {
                    font-family: @headings-font-family;
                    font-weight: @headings-font-weight;
                    color: @headings-color;
                    font-size: 25px;
                    line-height: 1.2;
                }
            }
            .calendartable {
                td, li {
                    padding: 5px;
                }
                li {
                    padding-left: 10px;
                    text-align: left;
                }
            }
            .header {
                margin-bottom: 15px;
                overflow: hidden;
                .buttons {
                    float: right;
                }
            }
            .eventlist {
                margin: 15px 0 0 0;
                .event {
                    width: 100%;
                    border-spacing: 0;
                    border-collapse: separate;
                    position: relative;
                    padding: 19px;
                    margin-bottom: 20px;
                    background-color: lighten(@well-bg, 3%);
                    border: 1px solid darken(@well-bg, 7%);
                    border-radius: @border-radius-base;
                    .box-shadow(inset 0 1px 1px rgba(0,0,0,.05));
                    .picture {
                        vertical-align: text-top;
                    }
                    .topic {
                        .name {
                            font-size: @font-size-large;
                            font-weight: 200;
                            line-height: 24px;
                            float: left;
                        }
                        .name,
                        .course {
                            margin-bottom: 5px;
                        }
                        .date {
                            float: right;
                            margin-bottom: 3px;
                        }
                    }
                    .course,
                    .subscription {
                        float: left;
                        clear: left;
                        margin-right: 3px;
                    }
                    .side {
                        width: 22px;
                    }
                    .description {
                        background-color: #FFF;
                        padding: 5px;
                        margin-top: 5px;
                        .commands {
                            position: absolute;
                            right: 0;
                            top: 0;
                            margin: 3px;
                        }
                    }
                    .commands {
                        a {
                            margin: 0 3px;
                            background-color: #FFF !important;
                        }
                    }
                    img {
                     margin-bottom:3px;
                 }
                 h3 {
                     display: inline-block;
                     margin-top: 0;
                 }
             }
         }
     }
 }

// RTL overrides for main calendar.
.dir-rtl.path-calendar {
    .cal_courses_flt {
        label {
            margin-left: .45em;
            margin-right: 0;
        }
    }
    .maincalendar {
        .calendar_event_course,
        .calendar_event_global,
        .calendar_event_group,
        .calendar_event_user {
            border-left-width: 1px;
            border-right-width: 12px;
        }
        .calendar-controls {
            .next {
                text-align: left;
            }
            .previous {
                text-align: right;
            }
        }
        .calendartable {
            td, li {
                text-align: right;
            }
            li {
                padding-right: 10px;
                padding-left: 5px;
            }
        }
        .header {
            .buttons {
                float: left;
            }
        }
        .eventlist {
            .event {
                .topic {
                    .name {
                        float: right;
                    }
                    .date {
                        float: left;
                    }
                }
                .description {
                    .commands {
                        right: inherit;
                        left: 0;
                    }
                }
                .course,
                .subscription {
                    float: right;
                    clear: right;
                }
            }
        }
    }
}
// Calendar export.
#page-calendar-export {
    .indent {
        padding-left: 20px;
    }
}


@media (min-width: 768px) {
    #page-calender-view {
        .container-fluid {
            min-width: 1024px;
        }
    }
}

.calendartable {

    .header, tbody td {
        padding: 5px;
    }
}

.calendarmonth.calendartable td.cell {
	a.new-event-url, a.new-activity-modal, a.view-all-events{
		opacity: 0;
	}
}
.calendarmonth.calendartable td.cell:hover {
	a.new-event-url, a.new-activity-modal, a.view-all-events {
        // transition: opacity 1 ease-in-out;
        // opacity: 1;
        opacity: 1;
        transition: opacity .4s ease-out;
        -moz-transition: opacity .4s ease-out;
        -webkit-transition: opacity .4s ease-out;
        -o-transition: opacity .4s ease-out;
    }
}

.maincalendar .calendarmonth td, .maincalendar .calendarmonth th {
    border: 1px solid #ddd;
}

.path-calendar .maincalendar {
    .controls{
        padding: 5px;
        .box;
        margin: 0;
        box-shadow: none;
        .calendar-controls {

            //.row;
            .current {
                margin: 0;
                .make-lg-column(4);
                .make-md-column(4);
                .make-sm-column(4);
                //padding: 10px;
            }
            .arrow_link.previous {
                .make-lg-column(4);
                .make-md-column(4);
                .make-sm-column(4);
                padding-left: 0;
                .arrow {
                    .btn;
                    .btn-primary;
                    margin-right: -5px;

                    &:hover {
                        border-color: transparent;
                    }
                }

                .arrow_text {
                    .btn;
                    .btn-primary;
                    .hidden-xs;

                    &:hover {
                        border-color: transparent;
                    }
                }
            }

            .arrow_link.next {
                .make-lg-column(4);
                .make-md-column(4);
                .make-sm-column(4);
                padding-right: 0;
                .arrow {
                    .btn;
                    .btn-primary;
                    margin-left: -5px;

                    &:hover {
                        border-color: transparent;
                    }
                }

                .arrow_text {
                    .btn;
                    .btn-primary;
                    .hidden-xs;

                    &:hover {
                        border-color: transparent;
                    }
                }
            }
        }
    }
    table.calendartable {
        margin: 15px 0 0 0;
        width: 100%;
        td.today {
            .bg-warning;
        }
        .add-activities {
            .hidden-xs;
            bottom: 5px;
            position: absolute;
            left: 0;
            right: 0;
        }
        ul.events-new {
            margin-bottom: 1.8em;
        }
    }
    div.header {
        .row;
        div.cal_courses_flt {
            .make-xs-column(6);
        }
        div.buttons {
            .make-xs-column(6);
            form > div {
                .pull-right;
                input {
                    margin: 0;
                }
            }
        }
    }
}

#page-calendar-view .maincalendar .calendar-information{
    .text-center;
    .alert;
    .alert-info;
    margin-top: 10px;
    display: block;
}

@media screen and (max-width: 480px) {
    .path-calendar .maincalendar .calendarmonth   {
        font-size: 10px;
    }
}
// When event are set to more then one day. Styling disturbs
.events-underway {
	.calendar_event_global;
	color : #fff !important;
}